package com.example.educheckin.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface Scope {
    // Who can access the data
    // 0 Strict: The current user
    // 1 Teacher: The current user and the teachers
    // 2 Administrator : The current user and the administrators


    int value() default 0;
}
