package com.example.educheckin.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface UserToken {
    // -1 No need
    // 0 Student
    // 1 Teacher
    // 2 SuperAdmin

    int value() default 0;
}