package com.example.educheckin.config;

import com.auth0.jwt.JWT;
import com.auth0.jwt.algorithms.Algorithm;
import com.example.educheckin.entity.User;
import org.apache.commons.lang3.concurrent.TimedSemaphore;

import java.util.Date;

public class Token {
    public static String getToken(User user) {
        String token = "";
        token = JWT.create()
                .withAudience(user.getEmail())
                .withClaim("time", System.currentTimeMillis())
                .sign(Algorithm.HMAC256(user.getPassword()));
        return token;
    }
}
